## WebKitWebsiteDataManager WebKitWebsiteDataManager — Website data manager |

## Functions

WebKitWebsiteDataManager * | webkit_website_data_manager_new ()
const gchar * | webkit_website_data_manager_get_base_data_directory ()
const gchar * | webkit_website_data_manager_get_base_cache_directory ()
const gchar * | webkit_website_data_manager_get_local_storage_directory ()
const gchar * | webkit_website_data_manager_get_disk_cache_directory ()
const gchar * | webkit_website_data_manager_get_offline_application_cache_directory ()
const gchar * | webkit_website_data_manager_get_indexeddb_directory ()
const gchar * | webkit_website_data_manager_get_websql_directory ()

## Properties

gchar * | base-cache-directory | Read / Write / Construct Only
gchar * | base-data-directory | Read / Write / Construct Only
gchar * | disk-cache-directory | Read / Write / Construct Only
gchar * | indexeddb-directory | Read / Write / Construct Only
gchar * | local-storage-directory | Read / Write / Construct Only
gchar * | offline-application-cache-directory | Read / Write / Construct Only
gchar * | websql-directory | Read / Write / Construct Only

## Types and Values

struct | WebKitWebsiteDataManager

## Object Hierarchy

        GObject
        ╰── WebKitWebsiteDataManager

## Description

WebKitWebsiteDataManager allows you to manage the data that websites can store in the client file system like databases or caches. You can use WebKitWebsiteDataManager to configure the local directories where the Website data will be stored, by creating a new manager with `webkit_website_data_manager_new()` passing the values you want to set. You can set all the possible configuration values or only some of them, a default value will be used automatically for the configuration options not provided. “base-data-directory” and “base-cache-directory” are two special properties that can be used to set a common base directory for all Website data and caches. It's possible to provide both, a base directory and a specific value, but in that case, the specific value takes precedence over the base directory. The newly created WebKitWebsiteDataManager must be passed as a construct property to a WebKitWebContext, you can use `webkit_web_context_new_with_website_data_manager()` to create a new WebKitWebContext with a WebKitWebsiteDataManager. In case you don't want to set any specific configuration, you don't need to create a WebKitWebsiteDataManager, the WebKitWebContext will create a WebKitWebsiteDataManager with the default configuration. To get the WebKitWebsiteDataManager of a WebKitWebContext you can use `webkit_web_context_get_website_data_manager()`.

## Functions

### webkit_website_data_manager_new ()

    WebKitWebsiteDataManager *
    webkit_website_data_manager_new (const gchar *first_option_name,
                                     ...);

Creates a new WebKitWebsiteDataManager with the given options. It must be passed as construction parameter of a WebKitWebContext.

#### Parameters

first_option_name | name of the first option to set |
... | value of first option, followed by more options, `NULL`-terminated |

#### Returns

the newly created WebKitWebsiteDataManager.

[transfer full]

Since: 2.10

### webkit_website_data_manager_get_base_data_directory ()

    const gchar *
    webkit_website_data_manager_get_base_data_directory
                                   (WebKitWebsiteDataManager *manager);

Get the “base-data-directory” property.

#### Parameters

manager | a WebKitWebsiteDataManager |

#### Returns

the base directory for Website data, or `NULL` if “base-data-directory” was not provided.

Since: 2.10

### webkit_website_data_manager_get_base_cache_directory ()

    const gchar *
    webkit_website_data_manager_get_base_cache_directory
                                   (WebKitWebsiteDataManager *manager);

Get the “base-cache-directory” property.

#### Parameters

manager | a WebKitWebsiteDataManager |

#### Returns

the base directory for Website cache, or `NULL` if “base-cache-directory” was not provided.

Since: 2.10

### webkit_website_data_manager_get_local_storage_directory ()

    const gchar *
    webkit_website_data_manager_get_local_storage_directory
                                   (WebKitWebsiteDataManager *manager);

Get the “local-storage-directory” property.

#### Parameters

manager | a WebKitWebsiteDataManager |

#### Returns

the directory where local storage data is stored.

Since: 2.10

### webkit_website_data_manager_get_disk_cache_directory ()

    const gchar *
    webkit_website_data_manager_get_disk_cache_directory
                                   (WebKitWebsiteDataManager *manager);

Get the “disk-cache-directory” property.

#### Parameters

manager | a WebKitWebsiteDataManager |

#### Returns

the directory where HTTP disk cache is stored.

Since: 2.10

### webkit_website_data_manager_get_offline_application_cache_directory ()

    const gchar *
    webkit_website_data_manager_get_offline_application_cache_directory
                                   (WebKitWebsiteDataManager *manager);

Get the “offline-application-cache-directory” property.

#### Parameters

manager | a WebKitWebsiteDataManager |

#### Returns

the directory where offline web application cache is stored.

Since: 2.10

### webkit_website_data_manager_get_indexeddb_directory ()

    const gchar *
    webkit_website_data_manager_get_indexeddb_directory
                                   (WebKitWebsiteDataManager *manager);

Get the “indexeddb-directory” property.

#### Parameters

manager | a WebKitWebsiteDataManager |

#### Returns

the directory where IndexedDB databases are stored.

Since: 2.10

### webkit_website_data_manager_get_websql_directory ()

    const gchar *
    webkit_website_data_manager_get_websql_directory
                                   (WebKitWebsiteDataManager *manager);

Get the “websql-directory” property.

#### Parameters

manager | a WebKitWebsiteDataManager |

#### Returns

the directory where WebSQL databases are stored.

Since: 2.10

## Types and Values

### struct WebKitWebsiteDataManager

    struct WebKitWebsiteDataManager;

## Property Details

### The `“base-cache-directory”` property

      “base-cache-directory”     gchar *

The base directory for Website cache. This is used as a base directory for any Website cache when no specific cache directory has been provided.

Flags: Read / Write / Construct Only

Default value: NULL

Since: 2.10

### The `“base-data-directory”` property

      “base-data-directory”      gchar *

The base directory for Website data. This is used as a base directory for any Website data when no specific data directory has been provided.

Flags: Read / Write / Construct Only

Default value: NULL

Since: 2.10

### The `“disk-cache-directory”` property

      “disk-cache-directory”     gchar *

The directory where HTTP disk cache will be stored.

Flags: Read / Write / Construct Only

Default value: NULL

Since: 2.10

### The `“indexeddb-directory”` property

      “indexeddb-directory”      gchar *

The directory where IndexedDB databases will be stored.

Flags: Read / Write / Construct Only

Default value: NULL

Since: 2.10

### The `“local-storage-directory”` property

      “local-storage-directory”  gchar *

The directory where local storage data will be stored.

Flags: Read / Write / Construct Only

Default value: NULL

Since: 2.10

### The `“offline-application-cache-directory”` property

      “offline-application-cache-directory” gchar *

The directory where offline web application cache will be stored.

Flags: Read / Write / Construct Only

Default value: NULL

Since: 2.10

### The `“websql-directory”` property

      “websql-directory”         gchar *

The directory where WebSQL databases will be stored.

Flags: Read / Write / Construct Only

Default value: NULL

Since: 2.10

## See Also

WebKitWebContext